Subject: bug#51336: 29.0.50; Application not responding

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Sep 2023 12:03:17 +0300

> Cc: [email-masked], Lars Magne Ingebrigtsen <[email-masked]>,
>  Alan Third <[email-masked]>
> Date: Sun, 3 Sep 2023 10:49:38 +0200
> From:  "Kirill A. Korinsky" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Rarely.
> 
> I can recall that I have seen a couple of time this issue for the summer or a bit longer time.

The way forward here, I think, is to attach a debugger to Emacs when
this happens and post here the backtrace.  It could be that Emacs is
running GC, for example, or some other job that takes time, in which
case this is completely normal (given the Emacs architecture).